## org.exist.xquery.test
Class SAXStorageTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.SAXStorageTest

All Implemented Interfaces:
  junit.framework.Test

public class SAXStorageTest
extends junit.framework.TestCase

This TestCase is for direct storage of SAX events in the database; one has to implement an XMLReader. It is also a stress test that creates large documents using SAX, use main() for this.

Author:
  jmv

Constructor Summary
`SAXStorageTest(java.lang.String s)`

Method Summary
`static void` `main(java.lang.String[] args)` arguments: lines , columns, XQuery string
`void` `testQueryBigDocument()` Store in the new way: the XMLResource stores just a File object before storeResource() stores the SAX events in the database.
`void` `testQueryStoreContentAsSAX()` Store in the "classical" eXist way: the XMLResource stores an XML string before storeResource() stores it in the database.

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAXStorageTest

    public SAXStorageTest(java.lang.String s)

Method Detail

### testQueryStoreContentAsSAX

    public void testQueryStoreContentAsSAX()

  Store in the "classical" eXist way: the XMLResource stores an XML string before storeResource() stores it in the database.

### testQueryBigDocument

    public void testQueryBigDocument()

  Store in the new way: the XMLResource stores just a File object before storeResource() stores the SAX events in the database.

  Throws:
    `XMLDBException`

### main

    public static void main(java.lang.String[] args)

  arguments: lines , columns, XQuery string

Copyright (C) Wolfgang Meier. All rights reserved.